﻿/* Radzen DataGrid Styling */
.radzen-datagrid {
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    font-family: 'Arial', sans-serif;
    overflow: hidden;
}

.radzen-datagrid-header, .radzen-datagrid-footer {
    background-color: #f8f9fa;
    padding: 10px;
    font-weight: bold;
    color: #333;
}

.radzen-datagrid-row {
    border-bottom: 1px solid #ddd;
}

.radzen-datagrid-cell {
    padding: 10px;
    text-align: left;
}

.radzen-datagrid-row:hover {
    background-color: #f1f1f1;
}

/* Pagination */
.radzen-datagrid-pager {
    justify-content: center;
}

.radzen-datagrid-pager .rz-paginator-pages .rz-paginator-page.rz-state-active {
        background-color: var(--tmc-primary);
        color: white;
    }

.radzen-datagrid-header {
    background-color: var(--tmc-primary-soft); /* Example blue color, adjust as needed */
    color: white; /* Adjust text color if needed */
    /* Add more styling here as needed */
}

th {
    border: 1px solid #dee2e6 !important;
    /* Additional styling can be added here if needed */
}

.table-bordered th {
    border: 1px solid #dee2e6 !important;
    /* Additional styling for this specific class */
}


/* wwwroot/css/site.css */
.flex-container {
    display: flex;
    gap: 5px;
    margin-bottom: 5px;
    flex-direction: row;
}

@media (max-width: 768px) {
    .flex-container {
        flex-direction: column;
    }

    .card-body h3, .card-body dl {
        font-size: smaller;
    }

    .flex-container > div {
        flex: none;
        margin-bottom: 5px;
    }

    .search-container .input-group, .search-container .btn {
        width: 100%;
        max-width: 100%;
        flex-basis: 100%;
        margin-bottom: 0.5rem;
    }

    .search-container .input-group-text {
        min-width: 50px;
    }

    .search-container .input-group {
        flex-grow: 1;
    }
    .sidebar {
        height: auto; /* Reset height to auto for smaller screens */
    }

    .brand-logo {
        position: static; /* Reset position to static */
        margin-bottom: 20px; /* Add margin to create space below NavMenu */
    }

    .brand-logo img {
        height: 40px; /* Increase height of the image */
        width: auto; /* Reset width to auto */
    }


    /* view list demandes */
    .card-body, .search-bar {
        flex-direction: column;
        align-items: stretch;
    }

        .form-group, .search-bar input, .search-bar button {
            width: 100%;
            margin-top: 10px;
        }

    .responsive-table {
        overflow-x: scroll;
    }

    .card {
        margin: 10px;
    }


}



.custom-file-upload {
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
    background-color: var(--tmc-primary); /* Info color */
    color: white;
    border-radius: 5px;
    font-size: 1rem;
}


